#ifndef DATE_H_INCLUDED
#define DATE_H_INCLUDED

#include <iostream>

enum class Jour;
enum class Mois;

enum class Jour{lun=1, mar, mer, jeu, ven, sam, dim};
enum class Mois{jan=1, fev, mar, avr, mai, juin, juil, aout, sept, oct, nov, dec};

enum class Langue{francais, anglais};
constexpr const char* jour_vf[]{"Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi", "Dimanche"};
constexpr const char* jour_vo[]{"Monday", "Tuesday", "Wednesday", "Thurday", "Friday", "Saturday", "Sunday"};

struct Date{
  Jour jour_{Jour::lun};
  Mois mois_{Mois(6)};
  int annee_{1900};
};

const char* affiche_jour(const Jour& j, const Langue& l=Langue::francais);

const char* affiche_jour(const Jour& j, const Langue& l)
{
  const char* sortie;
  int indice = int(j)-1;

  switch(l)
    {
    case Langue::francais :
      sortie = jour_vf[indice];
      break;
    case Langue::anglais :
      sortie = jour_vo[indice];
      break;
    default:
      sortie = "error";
    }
  std::cout << sortie << std::endl;

  return sortie;
}

const char* affiche_jour(const Date& d, const Langue& l=Langue::francais)
{
  return affiche_jour(d.jour_, l);
}

const char* affiche_jour(Date* d, const Langue& l=Langue::francais)
{
  //return affiche_jour(d->jour_,l);
  return affiche_jour(*d, l);
}

#endif // DATE_H_INCLUDED
